/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

.head-section {
    position: absolute;
    top: 0;
}
/* .main-section , .head-section, .footer-section {
    opacity: 0;
    visibility: hidden;
    transition: 0.8s all;
} */
.main-section ,
.main-section .elementor-container {
    height: 100%;
}
.main-section.show , .head-section.show, .footer-section.show {
    opacity: 1;
    visibility: visible;
}
.footer-section {
    position: absolute;
    bottom: 50px;
}
.img-1 img, .img-2 img, .img-3 img, .img-4 img, .img-5 img { transition: 0.8s all; }
.time { transition: 0.8s all; }
/* .default-color { background-color: #e8e8e8; }
.grey-nurse { background-color: #d2d5ce; }
.prismatic-pearl { background-color: #ebeadf; }
.mauve { background-color: #E2DCD6; } */

.back-to-orignal p, .shuffle-btn {width: fit-content; cursor: pointer;} 

/*@media(min-width: 1200px) and (max-width: 1400px) {
    .img-1 { left: 420px; top: 48px; }
    .img-2 { left: 645px; top: 100px; }
    .img-3 { left: 290px; top: 367px; }
    .img-4 { left: 454px; top: 450px; }
    .img-5 { left: 510px; top: 630px; }
}
@media(min-width: 1025px) and (max-width: 1199px) {
    .main-section > .elementor-container {
        max-width: 1000px !important;
    }
    .img-1 { left: 315px; top: 92px; }
    .img-2 { left: 510px; top: 143px; }
    .img-3 { left: 225px; top: 350px; }
    .img-4 { left: 349px; top: 458px; }
    .img-5 { left: 395px; top: 600px; }
}*/

.img-1 {
    position: absolute;
    z-index: 15;
    /* left: 34.25%;
    top: -7px; */
    left: 34.25%;
    top: -7px;
}
.img-2 {
    position: absolute;
    z-index: 12;
    /* left: 55.65%;
    top: 37px; */
    left: 57%;
    top: 47px;
}
.img-3 {
    position: absolute;
    z-index: 15;
    /* left: 21.8%;
    top: 312px; */
    left: 22.5%;
    top: 312px;
}
.img-4 {
    position: absolute;
    z-index: 10;
    /* left: 37%;
    top: 386px; */
    left: 40.5%;
    top: 395px;
}
.img-5 {
    position: absolute;
    z-index: 0;
    /* left: 42.8%;
    top: 550px; */
    left: 44.5%;
    top: 605px;
}
.endwel-logo {
    position: fixed;
    bottom: 5%;
}

.variations-quantity .cfvsw-swatches-option, .quantity-sec .input-text.qty.text {
    font-size: 12px;
    line-height: 14.4px;
    color: #514A3F;
    font-family: 'Inter';
    padding: 12px 24px;
    background-color: rgb(0 0 0 / 5%);
    min-width: 85px !important;
}

@media (min-width: 991px) {
    .main-section {
        display: flex;
        align-items: center;
    }
    .main-section > .elementor-container {
        width: 100%;
        height: 820px !important;
    }
}
@media (max-width: 1440px)  and (max-height: 800px) {
    .main-section {
        display: flex;
        align-items: center;
    }
    .main-section > .elementor-container {
        width: 100%;
        height: 600px !important;
    }
}
@media (max-width: 767px) {
  /* body.home:not(.logged-in) {
    position: fixed;
    width: 100%;
    height: 100%;
  } */
  .home-section { height: 100vh; }
  .home-section .elementor-container { height: 100%; }
  .main-section > .elementor-container {
    height: 600px !important;
  }
  .woocommerce .new.single_variation_wrap .single_add_to_cart_button.button {
        width: 100%;
    }
    .variation-sec.col-md-6 {
        width: 70%;
    }
    .quantity-sec.col-md-6 {
        width: 30%;
    }
    .variations .value {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    body {
        padding-bottom: 120px;
    }
    .variations-quantity .cfvsw-swatches-option, .quantity-sec .input-text.qty.text {
        padding: 12px 12px !important;
        min-width: auto !important;
    }
    .new.single_variation_wrap {
        display: flex;
        flex-direction: column-reverse;
    }
}
@media (min-width: 365px) and (max-width: 375px) {
    .endwel-button {
        margin-top: -150px;
    } 
}
@media (min-width: 1200px) and (max-width: 1700px) {
    .shuffle-btn .elementor-heading-title , 
    .reorder-text .elementor-heading-title ,
    .back-to-orignal .elementor-heading-title {
        font-size: 18px !important;
    }
    .book-now-btn .elementor-heading-title {
        font-size: 28px !important;
    }
    .first-heading .elementor-heading-title {
        font-size: 22px !important;
    }
}
@media (min-width: 768px) and (max-width: 1000px) {
    .shuffle-btn .elementor-heading-title , 
    .reorder-text .elementor-heading-title ,
    .back-to-orignal .elementor-heading-title {
        font-size: 16px !important;
    }
    .book-now-btn .elementor-heading-title {
        font-size: 25px !important;
    }
    .first-heading .elementor-heading-title {
        font-size: 20px !important;
    }
}
@media (min-width: 992px) and (max-width: 1150px) {
    .main-section > .elementor-container {
        max-width: 800px !important;
    }
}
@media (min-width: 768px) and (max-width: 991px) {
    .main-section > .elementor-container {
        max-width: 650px !important;
    }
}


#pricing {
    border-top: 1px solid rgb(0 0 0 / 30%) !important;
}
.faq-accorfion .elementor-tab-title.eael-accordion-header:first-child {
    border-top: 0 !important;
}
.faq-accorfion .eael-adv-accordion .eael-accordion-list .fa-toggle {
    margin: 0;
}
.faq-accorfion .eael-adv-accordion .eael-accordion-list .eael-accordion-header.active .fa-toggle {
    transform: rotate(180deg);
}
@media (min-width: 1025px) and (max-width: 1450px) {
    .book-now-sec {
        right: 1%;
    }
}

#gform_submit_button_1 {
    padding: 0;
    border: 0;
    background: transparent;
    box-shadow: none;
    object-fit: scale-down;
}
#input_1_1 {
    border: 0;
    background: transparent;
}
#gform_fields_1 {
    background-color: #0000000d;
    padding: 10px 15px;
    border-radius: 16px;
}
.eael-contact-form-title.eael-gravity-form-title {
    margin: 0 0 10px 0;
}
.orderby_sorting select.orderby {
    border: none;
    padding: 10px;
    appearance: none;
    text-align: center;
    font-size: 12px;
    line-height: 14.4px;
    color: #514A3F;
    text-transform: uppercase;
    letter-spacing: -0.48px;
    font-weight: 500;
    /* outline: none;
    background-color: transparent;
    width: auto;
    max-width: 60px; */
}
.orderby_sorting option {
    text-align: left;
}
.orderby_sorting .woocommerce-ordering {
    margin: 0;
}
select.orderby:focus-visible {
    outline: none;
}
.filter_form {
    display: none;
    width: 300px;
    padding: 20px;
    border: 1px solid #ccc;
    background-color: #f9f9f9;
    position: absolute;
    top: 0px;
    z-index: 1;
    margin: 35px 0 0 0;
}
.filter-label, .filter-option, .filter-submit-btn {
    font-size: 12px;
}
.filter-option {
    padding: 5px !important;
}
.filter-submit-btn {
    margin-top: 10px;
    padding: 5px 10px;
    border-color: #514a3f;
    color: #514a3f;
}
.store-btn {
    position: fixed;
}
.store-filter-btn, .orderby_sorting select.orderby {
    cursor: pointer;
    background: transparent;
}
.woocommerce-filter-item {
    display: flex;
    gap: 20px;
    align-items: center;
    justify-content: center;
    margin-bottom: 10px;
}
.product-price .price, .gform_footer.before {
    margin: 0;
}

/* Product Gallery Slider CSS */
.swiper-slide {
    display: flex !important;
    justify-content: center;
    align-items: center;
}
.product-carousel .swiper-slide img {
    display: block;
    width: 50%;
    /* height: 100%;
    object-fit: cover; */
    object-fit: contain;
    height: 350px;
}
.product-carousel .swiper.mySwiper.swiper-initialized.swiper-horizontal.swiper-backface-hidden {
    padding: 20px 0;
}
.swiper-wrapper {
    align-items: center;
}
.woocommerce .new.single_variation_wrap .single_add_to_cart_button.button {
    float: none;
    margin-bottom: 30px;
    background-color: #232220 !important;
}
.variations-quantity .cfvsw-swatches-option {   
    margin-top: 5px;
}

.variations-quantity .cfvsw-swatches-option:nth-of-type(even) {
    background-color: rgb(0 0 0 / 12%);
}
.quantity-sec .input-text.qty.text {
    width: 100%;
    text-align: left;
    background-color: rgb(0 0 0 / 5%);
    border: 0;
}
.single-product-label {
    font-size: 12px;
    line-height: 14.4px;
    font-family: 'Inter';
    text-transform: uppercase;
    font-weight: 400 !important;
    color: #514A3F;
}
.add-to-cart-sec .elementor-widget-woocommerce-product-add-to-cart {
    width: 100%;
}
.shop-carousel .swiper-slide-inner {
    width: 100%;
}

.orderby_sorting {
    display: inline-block;
}

select {
    white-space: nowrap; /* Prevent text wrapping */
    overflow: hidden;   /* Hide overflow text */
}
.gform-theme--foundation .gfield--width-eleven-twelfths {
    grid-column: span 11;
}
.gform-theme--foundation .gfield--width-one-twelfth {
    grid-column: span 1;
}
.home .menu-cart-btn, .hide-all {
    display: none;
}
.home .home-show.hide-all {
    display: block;
}
.top-right-btn {
    z-index: 10000;
}
.popup-mobile-sec .dialog-message.dialog-lightbox-message {
    /* background-image: linear-gradient(to bottom, #b0b0b066, #dbdbdbcc, #dbdbdb00, #ffffff, #ffffff); */
    background-image: linear-gradient(to bottom, #b0b0b066, #ffffff, #ffffff);
}
.hamburger.is-active .line {
    width: 25px;
}
.hamburger .line {
    width: 16px;
    height: 2px;
    background-color: #232220;
    display: block;
    margin: 4px auto;
    transition: all 0.3s ease-in-out;
}
.hamburger:hover {
    cursor: pointer;
}
#hamburger-menu.is-active .line:nth-child(2) {
    opacity: 0;
}
#hamburger-menu.is-active .line:nth-child(1) {
    transform: translateY(5px) rotate(45deg);
}
#hamburger-menu.is-active .line:nth-child(3) {
    transform: translateY(-7px) rotate(-45deg);
}
.single-product-title {
    line-height: 14.4px;
}
button.right.single_add_to_cart_button {
    padding: 18px 30px !important;
}

.product-template-default .woocommerce-notices-wrapper,
.woocommerce-cart .woocommerce-notices-wrapper, .woocommerce-info { width: 50%; margin-left: 15px; }
.product-template-default .woocommerce-message,
.woocommerce-cart .woocommerce-message, .woocommerce-info { border: none !important; display:flex; align-items:center; justify-content: space-between; }
.woocommerce-error, .woocommerce-info, .woocommerce-message { background-color: #f2f1e8; }
.woocommerce-error::before, .woocommerce-info::before, .woocommerce-message::before { top:unset; }
.product-template-default .woocommerce-message .button,
.woocommerce-cart .woocommerce-message .restore-item {
    position: absolute;
    right: 20px;
    text-transform: uppercase;
    font-family: 'Inter';
    font-weight: 500;
    background: #eae7ee;
    color: #515151;
}

.woocommerce-notices-wrapper:focus-visible, .woocommerce-message:focus-visible {
    outline: none !important;
}

p.return-to-shop a {
    text-transform: uppercase;
    font-family: 'Inter';
    font-weight: 500 !important;
}

.elementor-widget-woocommerce-cart .woocommerce button.button {
    border: none !important;
}

.wc-block-components-checkout-place-order-button {
    background-color: #000 !important;
    color: #fff !important;
}

.wc-block-components-sidebar-layout {
    margin: 0 auto 160px !important;
}

@media (min-width: 768px) and (max-width: 1024px) {
    .main-section {
        position: absolute;
        width: 100%;
    }
    .home-top-sec > .e-con-inner {
        position: relative;
    }
}

@media (max-width:767px) {
    .product-template-default .woocommerce-notices-wrapper, .woocommerce-cart .woocommerce-notices-wrapper, .woocommerce-info {
        width: 100% !important;
        margin: 0;
    }

    .product-template-default .woocommerce-message, .woocommerce-cart .woocommerce-message, .woocommerce-info {
        flex-direction: column;
    }

    .product-template-default .woocommerce-message .button, .woocommerce-cart .woocommerce-message .restore-item {
        position: relative;
        width: 100%;
        text-align: center;
        margin-top: 15px;
    }
}